TEP login fails to initialize when ITM621_FP3 or ITM622_FP3 is installed with an older language pack

Flash (Alert)


Abstract

The TEP browser client applet fails to initialize after ITM621_FP3 or ITM622_FP3 is installed when language pack support has also been installed using a non ITM621_FP3 or ITM622_FP3 language pack.

Content

After installing ITM 6.2.1 Fixpack 3 or ITM 6.2.2 Fixpack 3, when attempting to login with the TEP browser client, the loading of the initial jar files will fail, and the TEP login dialog will not be presented.

The following exception will be present in the TEP browser client log:

Exception in thread "Thread-candle.fw.pres.CMWApplet-1" java.lang.ExceptionInInitializerError
at candle.fw.pres.CNPClientMgr.initializeUI(CNPClientMgr.java:771)
at candle.fw.pres.CNPClientMgr.make(CNPClientMgr.java:259)
at candle.fw.pres.CNPClientMgr.initApplet(CNPClientMgr.java:2025)
at candle.fw.pres.CMWApplet.init(CMWApplet.java:395)
at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.SecurityException: class "candle.fw.resources.KfwTimeFormatsBundle"'s signer information does not match signer information of other classes in the same package
at java.lang.ClassLoader.checkCerts(Unknown Source)

If this symptom occurs and you have previously installed the ITM Language pack support, you will need to look at the TEP browser client log for the above exception. The TEP browser client log can be found in the following location:

For IBM Java:
%APPDATA%\IBM\Java\Deployment\log\plugin150.trace
For example:
C:\Documents and Settings\Administrator\Application Data\IBM\Java\Deployment\log\plugin150.trace

For Sun Java:
%APPDATA%\Sun\Java\Deployment\Log\plugin150.trace
For example:
C:\Documents and Settings\Administrator\Application Data\Sun\Java\Deployment\log\<traceFile>

For Sun Java you will find a file name similar to the one below:
plugin2075435006461511769.trace

This problem is caused by jar files in the language pack installation that use an older jar signing certificate than that of the jar files in the ITM621_FP3 or ITM622_FP3 installation.

To resolve the problem, install ITM621_FP3 or ITM622_FP3 Language pack support. The FP3 language pack install media contains jar files that are signed with the proper certificate (see
http://www-01.ibm.com/support/docview.wss?uid=swg24026126):

6.2.1-TIV-ITM-LP-FP0003.tar Contains the IBM Tivoli Monitoring Language Pack - UNIX/Linux
6.2.1-TIV-ITM-LP-FP0003.zip Contains the IBM Tivoli Monitoring Language Pack - Windows

6.2.2-TIV-ITM-LP-FP0003.tar Contains the IBM Tivoli Monitoring Language Pack - UNIX/Linux
6.2.2-TIV-ITM-LP-FP0003.zip Contains the IBM Tivoli Monitoring Language Pack - Windows

NOTE: Do not install the new ITM621_FP3 or ITM622_FP3 Language pack into an ITM environment that is not at least at the ITM621_FP3 or ITM622_FP3 level. This language pack is only compatible with ITM621_FP3 or ITM622_FP3 and higher ITM621/ITM622 maintenance releases.


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Tivoli Monitoring
Tivoli Distributed Monitoring

Software version:

6.2.1, 6.2.2

Operating system(s):

Linux, Windows

Software edition:

All Editions

Reference #:

1444860

Modified date:

2010-09-24

Translate my page

Machine Translation

Content navigation